module.exports = {
    throwMethodNotAllowed: (res) => {
        res.status(405).json({ error: { status: 405, code: 405, message: "Method not allowed" }});
    },
    throwNotFound: (res) => {
        res.status(404).json({ error: { status: 404, code: 404, message: "Not found" }});
    },
    throwUnauthorized: (res) => {
        res.status(401).json({ error: { status: 401, code: 401, message: "Unauthorized" }});
    },
    error: (res, status, code, message, errorStack = {}) => {
        res.status(status).json({ error: { status, code, message, errorStack }});
    },

}